DRM_MODE_DUPLICATE(9)

NAME
drm_mode_duplicate - allocate and duplicate an existing mode

SYNOPSIS

struct drm_display_mode * drm_mode_duplicate(struct drm_device * dev, const struct drm_display_mode * mode);

ARGUMENTS

dev
    drm_device to allocate the duplicated mode for

mode
    mode to duplicate

DESCRIPTION

Just allocate a new mode, copy the existing mode into it, and return a pointer to it. Used to create new instances of established modes.

RETURNS

Pointer to duplicated mode on success, NULL on error.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT